%echo off

REM Check Windows Version
ver | findstr /i "5\.0\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_2000
ver | findstr /i "5\.1\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_XP
ver | findstr /i "5\.2\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_2003
ver | findstr /i "6\.0\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_Vista
ver | findstr /i "6\.1\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_Win7
ver | findstr /i "6\.2\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_Win8
ver | findstr /i "6\.3\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_Win81
goto warn_and_exit

:ver_Win81
%echo on

REM echo OS Version: Windows 8.1 (debug line)

DEL "%HOMEPATH%\AppData\Local\Garmin\BaseCamp\TileCache\*.*" /Q
DEL "%HOMEPATH%\AppData\Roaming\GARMIN\MapSource\TileCache\*.*" /Q

goto end

:ver_Win8
%echo on

REM echo OS Version: Windows 8 (debug line)

DEL "%HOMEPATH%\AppData\Local\Garmin\BaseCamp\TileCache\*.*" /Q
DEL "%HOMEPATH%\AppData\Roaming\GARMIN\MapSource\TileCache\*.*" /Q

goto end

:ver_Win7
%echo on

REM echo OS Version: Windows 7 (debug line)

DEL "%HOMEPATH%\AppData\Local\Garmin\BaseCamp\TileCache\*.*" /Q
DEL "%HOMEPATH%\AppData\Roaming\GARMIN\MapSource\TileCache\*.*" /Q

goto end

:ver_Vista
%echo on

REM echo OS Version: Windows Vista (debug line)

DEL "%HOMEPATH%\AppData\Local\Garmin\BaseCamp\TileCache\*.*" /Q
DEL "%HOMEPATH%\AppData\Roaming\GARMIN\MapSource\TileCache\*.*" /Q

goto end

:ver_2003
%echo on

REM echo OS Version: Windows Server 2003 (debug line)

DEL "%HOMEPATH%\Local Settings\Application Data\Garmin\BaseCamp\TileCache\*.*" /Q
DEL "%APPDATA%\GARMIN\MapSource\TileCache\*.*" /Q

goto end

:ver_XP
%echo on

REM echo OS Version: Windows XP (debug line)

DEL "%HOMEPATH%\Local Settings\Application Data\Garmin\BaseCamp\TileCache\*.*" /Q
DEL "%APPDATA%\GARMIN\MapSource\TileCache\*.*" /Q

goto end

:ver_2000
%echo on

REM echo OS Version: Windows 2000 (debug line)

DEL "%HOMEPATH%\Local Settings\Application Data\Garmin\BaseCamp\TileCache\*.*" /Q
DEL "%APPDATA%\GARMIN\MapSource\TileCache\*.*" /Q

goto end

:warn_and_exit
echo Machine OS cannot be determined.

:end

PAUSE